## i3wm-config
This repository saves the custom configuration used by heckyel in i3wm

[![license](https://img.shields.io/badge/license-GPLv3+-blue.svg)](https://www.gnu.org/licenses/gpl-3.0.txt)

## Screenshot

![screen](https://archive.org/download/libreweb/screen.png?raw=true "Image for i3wm-config")

### Requeriments

- acpi
- conky
- dmenu
- feh
- i3-wm
- i3blocks
- i3lock
- nitrogen
- playerctl
- ranger
- rofi
- scrot
- sakura
- udevil

### Optional

- compton
- lxappearance
- ttf-font-awesome
- dhcpcd-ui
- lxsession
- viewnior

### Base i3wm

```console
# pacman -Syy i3-wm i3status dmenu sysstat
```

### Simple Install

```console
$ wget "https://git.sr.ht/~heckyel/i3-config/blob/master/install.sh" -O "$HOME/install.sh"
```

Execute `install.sh`

```console
$ bash "$HOME/install.sh"
```

clean up install file

```console
$ rm "$HOME/install.sh"
```

### Installed optional

```console
# pacman -Syy lxappearance nitrogen gnome-disk-utility
```

### Xenocara or Xorg config

Example config `.xinitrc `:

```bash
#!/bin/sh
#
# ~/.xinitrc
#
# Executed by startx (run your window manager from here)
#
# if [ -d /etc/X11/xinit/xinitrc.d ]; then
#   for f in /etc/X11/xinit/xinitrc.d/*; do
#     [ -x "$f" ] && . "$f"
#   done
#   unset f
# fi
exec i3
```

### dhcpcd-ui

Uncomment in `~/.config/i3/config`

```bash
# exec --no-startup-id dhcpcd-gtk
```

### Shortcuts

Manual shortcuts are in file [shortcuts.md](shortcuts.md)

### Credits

Thanks to all the free software developers and to you Jesús E.
